## Apache Zeta Components Manual :: Docs For Class ezcReflectionAnnotationVar

### Reflection::ezcReflectionAnnotationVar

### Class ezcReflectionAnnotationVar

Represents a var annotation in the php source code comment.

Source for this file: /Reflection/src/annotations/var.php

    ezcReflectionAnnotation
       |
       --ezcReflectionAnnotationVar

Version: | //autogen//

### Inherited Member Variables

From ezcReflectionAnnotation
protected | `ezcReflectionAnnotation::$annotationName`
protected | `ezcReflectionAnnotation::$desc`
protected | `ezcReflectionAnnotation::$params`

### Method Summary

public ezcReflectionAnnotationVar | `__construct( $line )`
public string | `getTypeName( )`

### Inherited Methods

From ezcReflectionAnnotation
public ezcReflectionAnnotation | `ezcReflectionAnnotation::__construct()`
public void | `ezcReflectionAnnotation::addDescriptionLine()`
public string | `ezcReflectionAnnotation::getDescription()`
public string | `ezcReflectionAnnotation::getName()`
public string[] | `ezcReflectionAnnotation::getParams()`

### Methods

#### __construct

ezcReflectionAnnotationVar __construct( string[] $line )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$line` | string[] | Array of words

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAnnotation::__construct()` |

#### getTypeName

string getTypeName( )
Documentation generated by phpDocumentor 1.4.3